cascading.flow.planner.iso.assertion

## Class Asserted

- java.lang.Object
- - cascading.flow.planner.iso.GraphResult
  - - cascading.flow.planner.iso.assertion.Asserted

-     public class Asserted
      extends GraphResult

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Asserted(PlannerContext plannerContext, GraphAssert graphAssert, ElementGraph beginGraph, java.lang.String message, GraphAssert.AssertionType assertionType, Match match)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChildTransform(Transformed transformed)`
    `java.util.Set<FlowElement>` | `getAnchors()`
    `GraphAssert.AssertionType` | `getAssertionType()`
    `ElementGraph` | `getBeginGraph()`
    `java.util.List<Transformed>` | `getChildTransforms()`
    `ElementGraph` | `getEndGraph()`
    `FlowElement` | `getFirstAnchor()`
    `GraphAssert` | `getGraphAssert()`
    `ElementSubGraph` | `getMatched()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `getRuleName()`
    `void` | `writeDOTs(java.lang.String path)`

    - ### Methods inherited from class cascading.flow.planner.iso.GraphResult

      `makeFileName, writeBeginGraph, writeEndGraph`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Asserted

          public Asserted(PlannerContext plannerContext,
                  GraphAssert graphAssert,
                  ElementGraph beginGraph,
                  java.lang.String message,
                  GraphAssert.AssertionType assertionType,
                  Match match)

  - ### Method Detail

    - #### getGraphAssert

          public GraphAssert getGraphAssert()

    - #### getBeginGraph

          public ElementGraph getBeginGraph()

      Specified by:
        `getBeginGraph` in class `GraphResult`

    - #### getMessage

          public java.lang.String getMessage()

    - #### getAssertionType

          public GraphAssert.AssertionType getAssertionType()

    - #### getRuleName

          public java.lang.String getRuleName()

      Specified by:
        `getRuleName` in class `GraphResult`

    - #### getMatched

          public ElementSubGraph getMatched()

    - #### getAnchors

          public java.util.Set<FlowElement> getAnchors()

    - #### getFirstAnchor

          public FlowElement getFirstAnchor()

    - #### getEndGraph

          public ElementGraph getEndGraph()

      Specified by:
        `getEndGraph` in class `GraphResult`

    - #### getChildTransforms

          public java.util.List<Transformed> getChildTransforms()

    - #### addChildTransform

          public void addChildTransform(Transformed transformed)

    - #### writeDOTs

          public void writeDOTs(java.lang.String path)

      Specified by:
        `writeDOTs` in class `GraphResult`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.